from .calculations import sumOfForces


def nextPosition(vec, forcevec, delta_t):
    return vec[0] + vec[3] * delta_t, vec[1] + vec[4] * delta_t


def nextVelocity(vec, forcevec, delta_t):
    return (
        vec[3] + (forcevec[0] / vec[2]) * delta_t,
        vec[4] + (forcevec[1] / vec[2]) * delta_t,
    )


def nextPositionAndVelocity(vec, forcevec, delta_t):
    """Calculate the next velocity and position of vector based on the forces acting on it"""
    next_x, next_y = nextPosition(vec, forcevec, delta_t)
    next_vx, next_vy = nextVelocity(vec, forcevec, delta_t)
    vec[0] = next_x
    vec[1] = next_y
    vec[3] = next_vx
    vec[4] = next_vy
